# Uses of Class
org.apache.lucene.search.suggest.document.TopSuggestDocs

Packages that use TopSuggestDocs
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

- ## Uses of TopSuggestDocs in org.apache.lucene.search.suggest.document

  Fields in org.apache.lucene.search.suggest.document declared as TopSuggestDocs
  Modifier and Type
  Field
  Description
  `static final TopSuggestDocs`
  TopSuggestDocs.`EMPTY`
  Singleton for empty `TopSuggestDocs`
  Methods in org.apache.lucene.search.suggest.document that return TopSuggestDocs
  Modifier and Type
  Method
  Description
  `TopSuggestDocs`
  TopSuggestDocsCollector.`get()`
  Returns at most `num` Top scoring `TopSuggestDocs`s
  `static TopSuggestDocs`
  TopSuggestDocs.`merge(int topN, TopSuggestDocs[] shardHits)`
  Returns a new TopSuggestDocs, containing topN results across the provided TopSuggestDocs, sorting by score.
  `TopSuggestDocs`
  SuggestIndexSearcher.`suggest(CompletionQuery query, int n, boolean skipDuplicates)`
  Returns top `n` completion hits for `query`
  Methods in org.apache.lucene.search.suggest.document with parameters of type TopSuggestDocs
  Modifier and Type
  Method
  Description
  `static TopSuggestDocs`
  TopSuggestDocs.`merge(int topN, TopSuggestDocs[] shardHits)`
  Returns a new TopSuggestDocs, containing topN results across the provided TopSuggestDocs, sorting by score.